curl -X DELETE https://api.stophy.dev/v1/key \
-H "Authorization: Bearer $STOPHY_API_KEY"
{
"success": true
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}Account
Revoke your key
Revoke the key you are calling with.
DELETE
/
v1
/
key
curl -X DELETE https://api.stophy.dev/v1/key \
-H "Authorization: Bearer $STOPHY_API_KEY"
{
"success": true
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}{
"success": false,
"error": "<string>",
"code": "apiKeyRequired",
"retryable": true,
"retryAfterSeconds": 123,
"requestId": "<string>",
"requiredCredits": 123,
"availableCredits": 123,
"requiredUsd": 123,
"availableUsd": 123,
"billingUrl": "<string>",
"signupUrl": "https://stophy.dev/signup",
"signup": "POST https://api.stophy.dev/v1/signup"
}Calling it would revoke the key that recorded these examples.
curl -X DELETE https://api.stophy.dev/v1/key \
-H "Authorization: Bearer $STOPHY_API_KEY"